var gulp = require('gulp');
var jasmine = require('gulp-jasmine');
var reporters = require('jasmine-reporters');
var istanbul = require('gulp-istanbul');
var isparta = require('isparta');


gulp.task('pre-test', function () {
  return gulp.src(['src/**/*.js'])
    // Covering files
    .pipe(istanbul({
      instrumenter: isparta.Instrumenter,
      includeUntested: true,
			includeAllSources:true
    }))
    // Force `require` to return covered files
    .pipe(istanbul.hookRequire());
});

gulp.task('test', ['pre-test'], function() {
	return gulp.src('test/**/*.spec.js')
        .pipe(jasmine({
          includeStackTrace:true,
          isVerbose:true,
					reporter: new reporters.TerminalReporter
        }))
        .pipe(istanbul.writeReports());
});
