var chai = require('chai');
var assert = require('assert-diff');
assert.options.strict = true;

var converter = require('../src/index');
var expectedBCA = require('./data/expectedBCASchema.json');
var givenData = require('./data/json-schema-given.json');
var jsonSchemaGiven = require('./data/BCAJSONSchema.json');
var jsonData = require('./data/BCA-1.2.4.json');
var swaggerBCA = require('./data/sme-swagger.json');

var inputReactSchema = require('./data/react-schema-to-json-schema/input-course.json');
var expectedJSONSchema = require('./data/react-schema-to-json-schema/expected-course.json');

xdescribe('swaggerToReactSchema', function() {
    it('should convert swagger to react schema', function() {
      var actual = converter.swaggerToReactSchema(swaggerBCA);
      assert.equal(actual, expectedBCA);
    });
});

xdescribe('jsonToReactSchema', function() {
    it('should convert json to react schema', function() {
      var actual = converter.jsonToReactSchema(jsonData);
      assert.deepEqual(expectedBCA,actual);
    });
});

describe('reactSchemaToJsonSchema', function() {
  it('should convert react schema to json schema', function() {
    var actual = converter.reactSchemaToJsonSchema(inputReactSchema);
    console.log('----actual---', actual);
    assert.deepEqual(actual, expectedJSONSchema);
  });
});
